# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /Users/builder/cbouss/perseverance-python-buildout/aggregate/debugpy-feedstock/recipe, last modified Sun Nov  5 19:42:22 2023
# ------------------------------------------------

package:
  name: debugpy
  version: 1.6.7
source:
  sha256: c4c2f0810fa25323abfdfa36cbbbb24e5c3b1a42cb762782de64439c575d67f2
  url: https://pypi.io/packages/source/d/debugpy/debugpy-1.6.7.zip
build:
  number: '0'
  string: py312hcec6c5f_0
requirements:
  build:
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2023.08.22 hecd8cb5_0
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 14.0.6 hecd8cb5_1
    - clang-14 14.0.6 default_hd95374b_1
    - clang_osx-64 14.0.6 hb1e4b1b_0
    - clangxx 14.0.6 default_hd95374b_1
    - clangxx_osx-64 14.0.6 hd8b9576_0
    - compiler-rt 14.0.6 hda8b6b8_0
    - compiler-rt_osx-64 14.0.6 h8d5cb93_0
    - expat 2.5.0 hcec6c5f_0
    - ld64_osx-64 530 h70f3046_25
    - ldid 2.1.5 hc58f1be_3
    - libclang-cpp14 14.0.6 default_hd95374b_1
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_0
    - libllvm14 14.0.6 h91fad77_3
    - llvm-tools 14.0.6 he0576d7_3
    - ncurses 6.4 hcec6c5f_0
    - openssl 3.0.12 hca72f7f_0
    - python 3.12.0 hd58486a_0
    - readline 8.2 hca72f7f_0
    - sqlite 3.41.2 h6c40b1e_0
    - tapi 1000.10.8 ha1b3eb9_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2023c h04d1e81_0
    - xz 5.4.2 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
  host:
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2023.08.22 hecd8cb5_0
    - expat 2.5.0 hcec6c5f_0
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_0
    - ncurses 6.4 hcec6c5f_0
    - openssl 3.0.12 hca72f7f_0
    - pip 23.3 py312hecd8cb5_0
    - python 3.12.0 hd58486a_0
    - readline 8.2 hca72f7f_0
    - setuptools 68.0.0 py312hecd8cb5_0
    - sqlite 3.41.2 h6c40b1e_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.4.2 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
  run:
    - libcxx >=14.0.6
    - python >=3.12,<3.13.0a0
test:
  commands:
    - pip check
  imports:
    - debugpy
    - debugpy.adapter
    - debugpy.common
    - debugpy.launcher
    - debugpy.server
  requires:
    - pip
about:
  description: An implementation of the Debug Adapter Protocol for Python
  dev_url: https://github.com/microsoft/debugpy
  doc_url: https://github.com/microsoft/debugpy
  home: https://github.com/Microsoft/debugpy
  license: MIT
  license_family: MIT
  license_file:
    - LICENSE
    - ThirdPartyNotices.txt
  summary: An implementation of the Debug Adapter Protocol for Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jtilly
    - xhochy
